Bug 18921 - Used RAM reported instead of Available
Used RAM reported instead of Available
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-11 18:55 EDT by Andrei Ivanov
Modified: 2015-03-04 20:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 14:33:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrei Ivanov 2000-10-11 18:55:47 EDT
When requesting data with enterprises.ucdavis.memory.memAvailReal.0 OID,
SNMP daemon reports amount of USED RAM space instead of free.

# rpm -qa | grep snmp
ucd-snmp-utils-4.1.1-2
ucd-snmp-4.1.1-2
# snmpget localhost public .1.3.6.1.4.1.2021.4.5.0
enterprises.ucdavis.memory.memTotalReal.0 = 516668
# snmpget localhost public .1.3.6.1.4.1.2021.4.6.0
enterprises.ucdavis.memory.memAvailReal.0 = 489760
# cat /proc/meminfo
        total:    used:    free:  shared: buffers:  cached:
Mem:  529068032 501043200 28024832 219234304 162111488 136454144
Swap: 1077469184    12288 1077456896
MemTotal:    516668 kB
MemFree:      27368 kB
MemShared:   214096 kB
Buffers:     158312 kB
Cached:      133256 kB
BigTotal:         0 kB
BigFree:          0 kB
SwapTotal:  1052216 kB
SwapFree:   1052204 kB
#
Comment 1 Jeff Johnson 2000-10-12 10:55:19 EDT
From UCD-SNMP-MIB.txt:
...
memAvailReal OBJECT-TYPE
    SYNTAX      Integer32
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "Available Real/Physical Memory Space on the host."
    ::= { memory 6 }
...
which of course depends on what "Available" means. I suspect that "available" !=
"free"
(i.e. not used).

memTotalFree OBJECT-TYPE
    SYNTAX      Integer32
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "Total Available Memory on the host"
    ::= { memory 11 }
...

In any case, it's not clear that this a bug in ucd-snmp or an imprecision in the
mib.
You might try asking on a ucd-snmp mailing list to resolve the imprecision.
...
Comment 2 Andrei Ivanov 2000-10-12 14:25:15 EDT
I think, that you misinterpret "Available Memory" term in regard to RAM
(BTW, when speaking about disk swap space, you're assuming "Available" to
be synonymous to "Free").

The following produced under Solaris 8, with UCD SNMP ver. 4.1.2 compiled w/
all default settings (hope that this will bring some light):

What I have (Totals):

 # snmpget localhost public .1.3.6.1.4.1.2021.4.5.0
 enterprises.ucdavis.memory.memTotalReal.0 = 260184
 # snmpget localhost public .1.3.6.1.4.1.2021.4.3.0
 enterprises.ucdavis.memory.memTotalSwap.0 = 262328
 # 

What's in use:

 # snmpget localhost public .1.3.6.1.4.1.2021.4.6.0
 enterprises.ucdavis.memory.memAvailReal.0 = 76996
 # snmpget localhost public .1.3.6.1.4.1.2021.4.4.0
 enterprises.ucdavis.memory.memAvailSwap.0 = 262328
 # snmpget localhost public .1.3.6.1.4.1.2021.4.11.0
 enterprises.ucdavis.memory.memTotalFree.0 = 339316
 # 


Comment 3 Andrei Ivanov 2000-10-12 14:27:10 EDT
Sorry, I meant "What's NOT in use" in last sentence.
Comment 4 Phil Knirsch 2001-08-23 06:05:50 EDT
I've checked with the latest Roswell Beta and the values are correct now.

Read ya, Phil
Comment 5 Andrei Ivanov 2001-11-06 14:12:54 EST
Just a note: ucd-snmp-4.2.1-4.6.x package available on updates.redhat.com
correctly reports Availbale (Free) RAM when using .1.3.6.1.4.1.2021.4.6.0 OID.

Note You need to log in before you can comment on or make changes to this bug.